明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 2090|回复: 1

[求助]用选择集过滤扩展数据的问题

[复制链接]
发表于 2007-9-18 10:11:00 | 显示全部楼层 |阅读模式
本帖最后由 作者 于 2007-9-18 10:29:36 编辑

以下是插入XData数据的例子,请问我如何用"test"字串,过滤组码1000中"This is my test"的字串来选择这条线?
   







也就是说只有扩展数据组码1000只包括有"test"字串,我就可以选择这条线.
   







或是说扩展数据组码不用1000用别的(我用组码-3时,不行,出错)?
  1. Sub Example_GetXData()
  2.     ' This example creates a line and attaches extended data to that line.
  3.    
  4.     ' Create the line
  5.     Dim lineObj As AcadLine
  6.     Dim startPt(0 To 2) As Double, endPt(0 To 2) As Double
  7.     startPt(0) = 1#: startPt(1) = 1#: startPt(2) = 0#
  8.     endPt(0) = 5#: endPt(1) = 5#: endPt(2) = 0#
  9.     Set lineObj = ThisDrawing.ModelSpace.AddLine(startPt, endPt)
  10.     ZoomAll
  11.     ' Initialize all the xdata values. Note that first data in the list should be
  12.     ' application name and first datatype code should be 1001
  13.     Dim DataType(0 To 9) As Integer
  14.     Dim Data(0 To 9) As Variant
  15.     Dim reals3(0 To 2) As Double
  16.     Dim worldPos(0 To 2) As Double
  17.    
  18.    
  19.    
  20.     DataType(0) = 1001: Data(0) = "Test_Application"
  21.     DataType(1) = 1000: Data(1) = "This is my test"
  22.    
  23.     DataType(2) = 1003: Data(2) = "0"                   ' layer
  24.     DataType(3) = 1040: Data(3) = 1.23479137438413E+40  ' real
  25.     DataType(4) = 1041: Data(4) = 1237324938            ' distance
  26.     DataType(5) = 1070: Data(5) = 32767                 ' 16 bit Integer
  27.     DataType(6) = 1071: Data(6) = 32767                 ' 32 bit Integer
  28.     DataType(7) = 1042: Data(7) = 10                    ' scaleFactor
  29.     reals3(0) = -2.95: reals3(1) = 100: reals3(2) = -20
  30.     DataType(8) = 1010: Data(8) = reals3                ' real
  31.    
  32.     worldPos(0) = 4: worldPos(1) = 400.99999999: worldPos(2) = 2.798989
  33.     DataType(9) = 1011: Data(9) = worldPos              ' world space position
  34.    
  35.     ' Attach the xdata to the line
  36.     lineObj.SetXData DataType, Data
  37.    
  38.     ' Return the xdata for the line
  39.     Dim xdataOut As Variant
  40.     Dim xtypeOut As Variant
  41.     lineObj.GetXData "", xtypeOut, xdataOut
  42.    
  43. End Sub







发表于 2007-9-29 19:48:00 | 显示全部楼层
我最近也遇到这个问题,期待高手解决!!
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-26 12:25 , Processed in 0.138218 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表